package com.zipcoder.payment;

import org.junit.Assert;
import org.junit.Test;

public class
CreditCardTest {
@Test
    public void testGetAndSetId(){
        //given
        CreditCard creditCard = new CreditCard();
        long id = 3;
        creditCard.setId(id);
        //when
       long actualId= creditCard.getId();
        //then

Assert.assertEquals(id,actualId);
    }
    @Test
    public void testGetPayerName(){
        //given
        CreditCard creditCard = new CreditCard();
      String name = "Nury";
        creditCard.setPayerName(name);
        //when
        String actual= creditCard.getPayerName();
        //then

        Assert.assertEquals(name,actual);


    }

    @Test
    public void testGetNumber(){
        //given
        CreditCard creditCard = new CreditCard();
        String number = "99999";
        creditCard.setNumber(number);
        //when
        String actual= creditCard.getNumber();
        //then

        Assert.assertEquals(number,actual);


    }
    @Test
    public void testGetExpriedMonth(){
        //given
        CreditCard creditCard = new CreditCard();
       int expiredMonth = 999;
        creditCard.setExpiredMonth(expiredMonth);
        //when
        int actual= creditCard.getExpiredMonth();
        //then

        Assert.assertEquals(expiredMonth,actual);


    }
    @Test
    public void testGetExpiredYear(){
        //given
        CreditCard creditCard = new CreditCard();
        int expiredYear = 9999;
        creditCard.setExpiredYear(expiredYear);
        //when
        int actual= creditCard.getExpiredYear();
        //then

        Assert.assertEquals(expiredYear,actual);


    }
    @Test
    public void testGetLast4Digit(){
        CreditCard creditCard = new CreditCard();
        String  id = "9999989";
        String expectedId= "9989";
        creditCard.setNumber(id);

        //when
         String actual=creditCard.getLast4Digit();
        //System.out.print(creditCard.getLast4Digit());
        //then
        Assert.assertEquals(expectedId,actual);

    }


}

